<?php
#-----------------------------------------------------#
#          ********* ROTORCMS *********               #
#              Made by  :  VANTUZ                     #
#               E-mail  :  visavi.net@mail.ru         #
#                 Site  :  http://pizdec.ru           #
#             WAP-Site  :  http://visavi.net          #
#                  ICQ  :  36-44-66                   #
#  Вы не имеете право вносить изменения в код скрипта #
#        для его дальнейшего распространения          #
#-----------------------------------------------------#	
require_once ('../includes/start.php');
require_once ('../includes/functions.php');
require_once ('../includes/header.php');
include_once ('../themes/' . $config['themes'] . '/index.php');

if (isset($_GET['act'])) {
    $act = check($_GET['act']);
} else {
    $act = 'index';
} 
if (isset($_GET['start'])) {
    $start = abs(intval($_GET['start']));
} else {
    $start = 0;
} 

if (is_admin(array(101, 102, 103, 105))) {
    show_title('site.png', 'Управление галереей');
    $config['newtitle'] = 'Управление галереей';

    switch ($act):
    # ###########################################################################################
    # #                                    Главная страница                                    ##
    # ###########################################################################################
    case 'index':

        echo '<a href="#down"><img src="../images/img/downs.gif" alt="image" /></a> ';
        echo '<a href="gallery.php?start=' . $start . '&amp;rand=' . mt_rand(100, 999) . '&amp;' . SID . '">Обновить</a> / ';
        echo '<a href="../gallery/index.php?act=addphoto&amp;' . SID . '">Добавить фото</a> / ';
        echo '<a href="../gallery/index.php?start=' . $start . '&amp;' . SID . '">Обзор</a><hr />';

        $total = DB :: $dbh -> querySingle("SELECT count(*) FROM `photo`;");

        if ($total > 0) {
            if ($start >= $total) {
                $start = 0;
            } 

            echo '<form action="gallery.php?act=del&amp;start=' . $start . '&amp;uid=' . $_SESSION['token'] . '&amp;' . SID . '" method="post">';

            $queryphoto = DB :: $dbh -> query("SELECT * FROM `photo` ORDER BY `photo_time` DESC LIMIT " . $start . ", " . $config['fotolist'] . ";");

            while ($data = $queryphoto -> fetch()) {
                echo '<div class="b">';
                echo '<img src="../images/img/gallery.gif" alt="image" /> ';
                echo '<b><a href="../gallery/index.php?act=showimg&amp;gid=' . $data['photo_id'] . '&amp;start=' . $start . '&amp;' . SID . '">' . $data['photo_title'] . '</a></b> (' . read_file(BASEDIR . 'gallery/pictures/' . $data['photo_link']) . ')<br />';
                echo '<input type="checkbox" name="del[]" value="' . $data['photo_id'] . '" /> <a href="gallery.php?act=edit&amp;start=' . $start . '&amp;gid=' . $data['photo_id'] . '&amp;' . SID . '">Редактировать</a>';
                echo '</div><div>';

                echo '<a href="../gallery/index.php?act=showimg&amp;gid=' . $data['photo_id'] . '&amp;start=' . $start . '&amp;' . SID . '"><img src="../gallery/resize.php?dir=gallery/pictures&amp;name=' . $data['photo_link'] . '" alt="image" /></a>';

                echo '<br />' . $data['photo_text'] . '<br />';

                echo 'Добавлено: <a href="../pages/anketa.php?uz=' . $data['photo_user'] . '&amp;' . SID . '">' . nickname($data['photo_user']) . '</a> (' . date_fixed($data['photo_time']) . ')<br />';
                echo '<a href="../gallery/index.php?act=comments&amp;gid=' . $data['photo_id'] . '&amp;' . SID . '">Комментарии</a> (' . $data['photo_comments'] . ')';
                echo '</div>';
            } 

            echo '<br /><input type="submit" value="Удалить выбранное" /></form>';

            page_jumpnavigation('gallery.php?', $config['fotolist'], $start, $total);
            page_strnavigation('gallery.php?', $config['fotolist'], $start, $total);

            echo 'Всего фотографий: <b>' . $total . '</b><br /><br />';
        } else {
            show_error('Фотографий еще нет!');
        } 
        break;
    # ###########################################################################################
    # #                                    Редактирование                                      ##
    # ###########################################################################################
    case 'edit':

        $gid = abs(intval($_GET['gid']));

        $queryphoto = DB :: $dbh -> query("SELECT * FROM `photo` WHERE `photo_id`=? LIMIT 1;", array($gid));
        $photo = $queryphoto -> fetch();

        if (!empty($photo)) {
            $photo['photo_text'] = nosmiles($photo['photo_text']);
            $photo['photo_text'] = str_replace('<br />', "\r\n", $photo['photo_text']);

            echo '<div class="form">';
            echo '<form action="gallery.php?act=change&amp;gid=' . $gid . '&amp;start=' . $start . '&amp;uid=' . $_SESSION['token'] . '&amp;' . SID . '" method="post">';
            echo 'Название: <br /><input type="text" name="title" value="' . $photo['photo_title'] . '" /><br />';
            echo 'Подпись к фото: <br /><textarea cols="25" rows="3" name="text">' . $photo['photo_text'] . '</textarea><br />';

            echo 'Закрыть комментарии: ';
            $checked = ($photo['photo_closed'] == 1) ? ' checked="checked"' : '';
            echo '<input name="closed" type="checkbox" value="1"' . $checked . ' /><br />';

            echo '<input type="submit" value="Изменить" /></form></div><br />';
        } else {
            show_error('Ошибка! Данной фотографии не существует!');
        } 

        echo '<img src="../images/img/back.gif" alt="image" /> <a href="gallery.php?start=' . $start . '&amp;' . SID . '">Вернуться</a><br />';
        break;
    # ###########################################################################################
    # #                                 Изменение сообщения                                    ##
    # ###########################################################################################
    case 'change':

        $uid = check($_GET['uid']);
        $gid = abs(intval($_GET['gid']));
        $title = check($_POST['title']);
        $text = check($_POST['text']);
        $closed = (empty($_POST['closed'])) ? 0 : 1;

        if ($uid == $_SESSION['token']) {
            $queryphoto = DB :: $dbh -> query("SELECT * FROM `photo` WHERE `photo_id`=? LIMIT 1;", array($gid));
            $photo = $queryphoto -> fetch();

            if (!empty($photo)) {
                if (utf_strlen($title) >= 5 && utf_strlen($title) < 50) {
                    if (utf_strlen($text) >= 5 && utf_strlen($text) < 1000) {
                        $text = no_br($text);
                        $text = antimat($text);
                        $text = smiles($text);

                        DB :: $dbh -> query("UPDATE `photo` SET `photo_title`=?, `photo_text`=?, `photo_closed`=? WHERE `photo_id`=?;", array($title, $text, $closed, $gid));

                        $_SESSION['note'] = 'Фотография успешно отредактирована!';
                        header ("Location: gallery.php?start=$start&" . SID);
                        exit;
                    } else {
                        show_error('Ошибка! Слишком длинное или короткое описание!');
                    } 
                } else {
                    show_error('Ошибка! Слишком длинное или короткое название!');
                } 
            } else {
                show_error('Ошибка! Данной фотографии не существует!');
            } 
        } else {
            show_error('Ошибка! Неверный идентификатор сессии, повторите действие!');
        } 

        echo '<img src="../images/img/reload.gif" alt="image" /> <a href="gallery.php?act=edit&amp;gid=' . $gid . '&amp;start=' . $start . '&amp;' . SID . '">Вернуться</a><br />';
        echo '<img src="../images/img/back.gif" alt="image" /> <a href="gallery.php?' . SID . '">Галерея</a><br />';
        break;
    # ###########################################################################################
    # #                                 Удаление изображений                                   ##
    # ###########################################################################################
    case 'del':

        $uid = check($_GET['uid']);
        if (isset($_POST['del'])) {
            $del = intar($_POST['del']);
        } else {
            $del = 0;
        } 

        if ($uid == $_SESSION['token']) {
            if (!empty($del)) {
                $del = implode(',', $del);

                if (is_writeable(BASEDIR . 'gallery/pictures')) {
                    $querydel = DB :: $dbh -> query("SELECT `photo_id`, `photo_link` FROM `photo` WHERE `photo_id` IN (" . $del . ");");
                    $arr_photo = $querydel -> fetchAll();

                    if (count($arr_photo) > 0) {
                        foreach ($arr_photo as $delete) {
                            DB :: $dbh -> query("DELETE FROM `photo` WHERE `photo_id`=? LIMIT 1;", array($delete['photo_id']));
                            DB :: $dbh -> query("DELETE FROM `commphoto` WHERE `commphoto_gid`=?;", array($delete['photo_id']));
                            if (file_exists(BASEDIR . 'gallery/pictures/' . $delete['photo_link'])) {
                                unlink(BASEDIR . 'gallery/pictures/' . $delete['photo_link']);
                            } 
                        } 

                        $_SESSION['note'] = 'Выбранные фотографии успешно удалены!';
                        header ("Location: gallery.php?start=$start&" . SID);
                        exit;
                    } else {
                        show_error('Ошибка! Данных фотографий не существует!');
                    } 
                } else {
                    show_error('Ошибка! Не установлены атрибуты доступа на дирекоторию с фотографиями!');
                } 
            } else {
                show_error('Ошибка! Отсутствуют выбранные фотографии!');
            } 
        } else {
            show_error('Ошибка! Неверный идентификатор сессии, повторите действие!');
        } 

        echo '<img src="../images/img/back.gif" alt="image" /> <a href="gallery.php?start=' . $start . '&amp;' . SID . '">Вернуться</a><br />';
        break;

    default:
        header("location: gallery.php?" . SID);
        endswitch;

        echo '<img src="../images/img/panel.gif" alt="image" /> <a href="index.php?' . SID . '">В админку</a><br />';
        echo '<img src="../images/img/homepage.gif" alt="image" /> <a href="../index.php?' . SID . '">На главную</a>';
    } else {
    header ('Location: ' . BASEDIR . 'index.php?' . SID);
    exit;
} 

include_once ('../themes/' . $config['themes'] . '/foot.php');

?>